Cannot Start Zigbee EZSP after update 2023.10.4

Hi there, since the latest update 2023.10.4 the ZHA isn´t working, ive rebooted and power cycled my HA and the Zigbee HUB (Silvercrest) and it cannot connect to it. I have another installation with a Sonoff Zigbee hub with tasmota that did the same after the update, it went dark… the only way i managed to get it working again is to rever to the 2023.10.3 version, so i guess it was from updates on the ZHA instances… as anybody had similar problems ? Thanks !

Logger: homeassistant.components.zha.core.gateway
Source: components/zha/core/gateway.py:201
Integration: Zigbee Home Automation (documentation, issues)
First occurred: 14:43:03 (2 occurrences)
Last logged: 14:43:19

Couldn't start EZSP = Silicon Labs EmberZNet protocol: Elelabs, HUSBZB-1, Telegesis coordinator (attempt 2 of 3)
Couldn't start EZSP = Silicon Labs EmberZNet protocol: Elelabs, HUSBZB-1, Telegesis coordinator (attempt 3 of 3)
Traceback (most recent call last):
  File "/usr/local/lib/python3.11/site-packages/bellows/ezsp/protocol.py", line 68, in command
    return await future
           ^^^^^^^^^^^^
asyncio.exceptions.CancelledError

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.11/site-packages/zigpy/application.py", line 198, in startup
    await self.initialize(auto_form=auto_form)
  File "/usr/local/lib/python3.11/site-packages/zigpy/application.py", line 150, in initialize
    await self.start_network()
  File "/usr/local/lib/python3.11/site-packages/bellows/zigbee/application.py", line 184, in start_network
    await self._reset()
  File "/usr/local/lib/python3.11/site-packages/bellows/ezsp/protocol.py", line 67, in command
    async with asyncio_timeout(EZSP_CMD_TIMEOUT):
  File "/usr/local/lib/python3.11/asyncio/timeouts.py", line 111, in __aexit__
    raise TimeoutError from exc_val
TimeoutError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/zha/core/gateway.py", line 201, in async_initialize
    await self.application_controller.startup(auto_form=True)
  File "/usr/local/lib/python3.11/site-packages/zigpy/application.py", line 201, in startup
    await self.shutdown()
  File "/usr/local/lib/python3.11/site-packages/zigpy/application.py", line 406, in shutdown
    await self._dblistener.shutdown()
  File "/usr/local/lib/python3.11/site-packages/zigpy/appdb.py", line 187, in shutdown
    await self._set_isolation_level(None)
  File "/usr/local/lib/python3.11/site-packages/zigpy/appdb.py", line 205, in _set_isolation_level
    await self._db._execute(lambda: setattr(self._db, "isolation_level", level))
  File "/usr/local/lib/python3.11/site-packages/aiosqlite/core.py", line 126, in _execute
    raise ValueError("Connection closed")
ValueError: Connection closed
2 Likes

I am seeing exactly the same issue. I’ve tried rebooting and resetting everything with no success so far so looks like something broke it in this latest update.

2 Likes

sup guys
“gr8” to see im not the only 1 with this prob.
just downgraded to 10.3 to get my home back to work
ohh… i dont know if it helps anyone or if it matters, but my zha coordinator is the wifi sonoff zigbee flashed with tasmota (worked great for the last year or two, ever since it was published as a cheep zha option).

1 Like

I have encounter same issue (sonoff with tasmota as brige).

1 Like

yup same issue sonoff zigbee flashed with tasmato not working. Downgraded to .3 and works again.

1 Like

It really seems like each new release has become a whack-a-mole of “what breaks this time” with some of these core things. I went from updating to nearly every release within a day or two of the notice to waiting until we are at least 4-5 revisions in just so that instead of spending 2 hours every release fixing things I can spend 2-3 hours a month fixing things. Knock on wood, 2023.10.4 hasn’t caused me much headache but it’s the only one for the past 10-15 revisions.

It makes me wonder if quality control has been sacrificed in the name of new features, to provide lots of bells and whistles that the average non-nerdy person can easily use. I know several companies that get into this same rut of new features over stability and it bites every one of them every time.

Same problem here and I am using the Nortek HUSBZB unit. So it’s not just flashed Sonoff coordinators.

Same Problem here …Needed to Rollback in case of priority using this zigbee - devices

I’ll add I’m in the same boat. I’m glad it’s not just me. Sonoff tasmota bridge running 13.2

Edit: I looked but didn’t see this raised on github. So I submitted an issue to the GitHub repo. Hopefully this will get resolved quickly.

That’s interesting because this was the first one that glitched on me this year.

it seems this has been fixed in 2023.10.5

1 Like

For me it is not fixed. It is broken again… I had updated my SONOFF Zigbee 3.0 USB Dongle Plus V2 Stick in the meantime, so that it was working again with previous HA version. And now it is broken again.

Logger: homeassistant.components.zha.core.gateway
Source: components/zha/core/gateway.py:201
Integration: Zigbee Home Automation (documentation, issues)
First occurred: 08:13:26 (2 occurrences)
Last logged: 08:16:19

Couldn't start EZSP = Silicon Labs EmberZNet protocol: Elelabs, HUSBZB-1, Telegesis coordinator (attempt 1 of 3)
Traceback (most recent call last):
  File "/usr/local/lib/python3.11/site-packages/bellows/ezsp/protocol.py", line 68, in command
    return await future
           ^^^^^^^^^^^^
asyncio.exceptions.CancelledError

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/zha/core/gateway.py", line 201, in async_initialize
    await self.application_controller.startup(auto_form=True)
  File "/usr/local/lib/python3.11/site-packages/zigpy/application.py", line 197, in startup
    await self.connect()
  File "/usr/local/lib/python3.11/site-packages/bellows/zigbee/application.py", line 146, in connect
    await ezsp.write_config(self.config[CONF_EZSP_CONFIG])
  File "/usr/local/lib/python3.11/site-packages/bellows/ezsp/__init__.py", line 585, in write_config
    status, current_value = await self.getValue(cfg.value_id)
                            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/bellows/ezsp/protocol.py", line 67, in command
    async with asyncio_timeout(EZSP_CMD_TIMEOUT):
  File "/usr/local/lib/python3.11/asyncio/timeouts.py", line 111, in __aexit__
    raise TimeoutError from exc_val
TimeoutError
Logger: zigpy.application
Source: /usr/local/lib/python3.11/site-packages/zigpy/application.py:200
First occurred: 08:13:26 (4 occurrences)
Last logged: 08:16:41

Couldn't start application
Traceback (most recent call last):
  File "/usr/local/lib/python3.11/site-packages/bellows/ezsp/protocol.py", line 68, in command
    return await future
           ^^^^^^^^^^^^
asyncio.exceptions.CancelledError

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.11/site-packages/zigpy/application.py", line 197, in startup
    await self.connect()
  File "/usr/local/lib/python3.11/site-packages/bellows/zigbee/application.py", line 146, in connect
    await ezsp.write_config(self.config[CONF_EZSP_CONFIG])
  File "/usr/local/lib/python3.11/site-packages/bellows/ezsp/__init__.py", line 585, in write_config
    status, current_value = await self.getValue(cfg.value_id)
                            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/bellows/ezsp/protocol.py", line 67, in command
    async with asyncio_timeout(EZSP_CMD_TIMEOUT):
  File "/usr/local/lib/python3.11/asyncio/timeouts.py", line 111, in __aexit__
    raise TimeoutError from exc_val
TimeoutError
Logger: homeassistant.components.zha.core.gateway
Source: components/zha/core/gateway.py:201
Integration: Zigbee Home Automation (documentation, issues)
First occurred: 08:16:28 (2 occurrences)
Last logged: 08:16:41

Couldn't start EZSP = Silicon Labs EmberZNet protocol: Elelabs, HUSBZB-1, Telegesis coordinator (attempt 2 of 3)
Couldn't start EZSP = Silicon Labs EmberZNet protocol: Elelabs, HUSBZB-1, Telegesis coordinator (attempt 3 of 3)
Traceback (most recent call last):
  File "/usr/local/lib/python3.11/site-packages/bellows/ezsp/protocol.py", line 68, in command
    return await future
           ^^^^^^^^^^^^
asyncio.exceptions.CancelledError

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.11/site-packages/zigpy/application.py", line 197, in startup
    await self.connect()
  File "/usr/local/lib/python3.11/site-packages/bellows/zigbee/application.py", line 140, in connect
    await ezsp.startup_reset()
  File "/usr/local/lib/python3.11/site-packages/bellows/ezsp/__init__.py", line 161, in startup_reset
    await self.version()
  File "/usr/local/lib/python3.11/site-packages/bellows/ezsp/__init__.py", line 189, in version
    ver, stack_type, stack_version = await self._command(
                                     ^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/bellows/ezsp/protocol.py", line 67, in command
    async with asyncio_timeout(EZSP_CMD_TIMEOUT):
  File "/usr/local/lib/python3.11/asyncio/timeouts.py", line 111, in __aexit__
    raise TimeoutError from exc_val
TimeoutError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/zha/core/gateway.py", line 201, in async_initialize
    await self.application_controller.startup(auto_form=True)
  File "/usr/local/lib/python3.11/site-packages/zigpy/application.py", line 201, in startup
    await self.shutdown()
  File "/usr/local/lib/python3.11/site-packages/zigpy/application.py", line 406, in shutdown
    await self._dblistener.shutdown()
  File "/usr/local/lib/python3.11/site-packages/zigpy/appdb.py", line 187, in shutdown
    await self._set_isolation_level(None)
  File "/usr/local/lib/python3.11/site-packages/zigpy/appdb.py", line 205, in _set_isolation_level
    await self._db._execute(lambda: setattr(self._db, "isolation_level", level))
  File "/usr/local/lib/python3.11/site-packages/aiosqlite/core.py", line 126, in _execute
    raise ValueError("Connection closed")
ValueError: Connection closed
Logger: bellows.ezsp.protocol
Source: runner.py:186
First occurred: 08:16:36 (2 occurrences)
Last logged: 08:17:00

Unknown application frame 0x020C received: b'1073' (b'0080000c021073'). This is a bug!
Logger: homeassistant.config_entries
Source: config_entries.py:399
First occurred: 08:17:09 (1 occurrences)
Last logged: 08:17:09

Error setting up entry SONOFF Zigbee 3.0 USB Dongle Plus V2, s/n: 20221202210517 - ITEAD for zha
Traceback (most recent call last):
  File "/usr/local/lib/python3.11/site-packages/bellows/ezsp/protocol.py", line 68, in command
    return await future
           ^^^^^^^^^^^^
asyncio.exceptions.CancelledError

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.11/site-packages/zigpy/application.py", line 197, in startup
    await self.connect()
  File "/usr/local/lib/python3.11/site-packages/bellows/zigbee/application.py", line 140, in connect
    await ezsp.startup_reset()
  File "/usr/local/lib/python3.11/site-packages/bellows/ezsp/__init__.py", line 161, in startup_reset
    await self.version()
  File "/usr/local/lib/python3.11/site-packages/bellows/ezsp/__init__.py", line 189, in version
    ver, stack_type, stack_version = await self._command(
                                     ^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.11/site-packages/bellows/ezsp/protocol.py", line 67, in command
    async with asyncio_timeout(EZSP_CMD_TIMEOUT):
  File "/usr/local/lib/python3.11/asyncio/timeouts.py", line 111, in __aexit__
    raise TimeoutError from exc_val
TimeoutError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/config_entries.py", line 399, in async_setup
    result = await component.async_setup_entry(hass, self)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/src/homeassistant/homeassistant/components/zha/__init__.py", line 172, in async_setup_entry
    await zha_gateway.async_initialize()
  File "/usr/src/homeassistant/homeassistant/components/zha/core/gateway.py", line 214, in async_initialize
    raise exc
  File "/usr/src/homeassistant/homeassistant/components/zha/core/gateway.py", line 201, in async_initialize
    await self.application_controller.startup(auto_form=True)
  File "/usr/local/lib/python3.11/site-packages/zigpy/application.py", line 201, in startup
    await self.shutdown()
  File "/usr/local/lib/python3.11/site-packages/zigpy/application.py", line 406, in shutdown
    await self._dblistener.shutdown()
  File "/usr/local/lib/python3.11/site-packages/zigpy/appdb.py", line 187, in shutdown
    await self._set_isolation_level(None)
  File "/usr/local/lib/python3.11/site-packages/zigpy/appdb.py", line 205, in _set_isolation_level
    await self._db._execute(lambda: setattr(self._db, "isolation_level", level))
  File "/usr/local/lib/python3.11/site-packages/aiosqlite/core.py", line 126, in _execute
    raise ValueError("Connection closed")
ValueError: Connection closed

I am running at
Home Assistant 2023.10.5 Frontend 20231005.0 - latest

EDIT:
to be more precice - I updated my device to 7.3.1.0 with that page:

grafik

But now I have flashed back Version 6.10.3.0 which works again.

V10.5 works fine for me. just updated and all zha devices are online and working properly

For me the 2 installations that i have with Zigbee Hubs (one with Sonoff (tasmotized) and the other with the Silvercrest Hub) are working fine now with 2023.10.5. After seeing the previous post i did an upgrade to my Sonoff with the latest tasmota firmware to see if the problem persisted, and everything is working as usual, no changes, so i got no negative changes after the upgrade to the 2023.10.5 for now.

Home Assistant core 2023.10.5 should resolve issues with Tasmota based (e.g. Sonoff and Silvercrest):

1 Like